Python VM compatibility library
Python Ruby
Switch branches/tags
Nothing to show
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
docs
.gitignore
.ruby-gemset
.ruby-version
.travis.yml
Gemfile
Gemfile.lock
LICENSE
MANIFEST.in
README.rst
patois.py
requirements.txt
setup.cfg
setup.py
test_patois.py

README.rst

patois

https://travis-ci.org/gthank/patois.png?branch=develop

patois is an MIT-licensed compatibility library designed to smooth over differences in various Python VMs, e.g., CPython vs. Jython vs. PyPy vs. IronPython. It provides utility functions with the goal of making it easier to write Python code that is compatible with all the major Python VMs. See the documentation for more information on what is provided.

patois supports Python 2.7, because it is the newest Python that is widely supported by the major VMs.

Inspiration

This package was inspired by Six.

Installation

To install patois, simply:

$ pip install patois

Or, if you absolutely must:

$ easy_install patois

But, you really shouldn't do that.

If you want to vendor the lib for some reason, it's a single file, so just drop it into your project.

Documentation

Online documentation is at http://patois.rtfd.org/

How to Contribute

Bugs can be reported to https://github.com/gthank/patois

The code can also be found there. Please feel free to fork it and submit pull requests.

History

0.1.0 (2014-01-08)

  • Initial project creation